//
//  CCViewController.h
//  ComAndCon
//
//  Created by Felix Rohrer on 15.04.13.
//  Copyright (c) 2013 Felix Rohrer. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface CCViewController : UIViewController <UIPickerViewDataSource, UIPickerViewDelegate, NSXMLParserDelegate>

@property (strong, nonatomic) NSArray* pickerStringArray;
@property (strong, nonatomic) NSArray* pickerDummyStringArray;
@property (strong, nonatomic) NSMutableArray* tmpXmlArray;

@property (weak, nonatomic) IBOutlet UIPickerView *pickerView;

- (IBAction)dataSourceChanged:(UISegmentedControl*)sender;
- (IBAction)testOperationQueue:(id)sender;
- (NSArray*)getXMLData;
- (NSArray*)getJSONData;
- (void)parser:(NSXMLParser *)parser didStartElement:(NSString *)elementName namespaceURI:(NSString *)namespaceURI qualifiedName:(NSString *)qName attributes:(NSDictionary *)attributeDict;

@end
